Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2
Interface DocumentRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DocumentRootImpl

    public interface DocumentRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Cx`
- `Dtm`
- `Source Patient Info`
- `Xad`
- `Xcn`
- `Xon`
- `Xpn`
- `Xtn`

See Also:
  `Hl7v2Package.getDocumentRoot()`

Method Summary
`CX` | `getCx()` Returns the value of the 'Cx' containment reference.
`java.lang.String` | `getDtm()` Returns the value of the 'Dtm' attribute.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`SourcePatientInfoType` | `getSourcePatientInfo()` Returns the value of the 'Source Patient Info' containment reference.
`XAD` | `getXad()` Returns the value of the 'Xad' containment reference.
`XCN` | `getXcn()` Returns the value of the 'Xcn' containment reference.
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`XON` | `getXon()` Returns the value of the 'Xon' containment reference.
`XPN` | `getXpn()` Returns the value of the 'Xpn' containment reference.
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`XTN` | `getXtn()` Returns the value of the 'Xtn' containment reference.
`void` | `setCx(CX value)` Sets the value of the '`Cx`' containment reference.
`void` | `setDtm(java.lang.String value)` Sets the value of the '`Dtm`' attribute.
`void` | `setSourcePatientInfo(SourcePatientInfoType value)` Sets the value of the '`Source Patient Info`' containment reference.
`void` | `setXad(XAD value)` Sets the value of the '`Xad`' containment reference.
`void` | `setXcn(XCN value)` Sets the value of the '`Xcn`' containment reference.
`void` | `setXon(XON value)` Sets the value of the '`Xon`' containment reference.
`void` | `setXpn(XPN value)` Sets the value of the '`Xpn`' containment reference.
`void` | `setXtn(XTN value)` Sets the value of the '`Xtn`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `Hl7v2Package.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XMLNS Prefix Map' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `Hl7v2Package.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XSI Schema Location' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `Hl7v2Package.getDocumentRoot_XSISchemaLocation()`

### getCx

    CX getCx()

  Returns the value of the 'Cx' containment reference.

  If the meaning of the 'Cx' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cx' containment reference.
  See Also:
    `setCx(CX)`, `Hl7v2Package.getDocumentRoot_Cx()`

### setCx

    void setCx(CX value)

  Sets the value of the '`Cx`' containment reference.

  Parameters:
    `value` - the new value of the 'Cx' containment reference.
  See Also:
    `getCx()`

### getDtm

    java.lang.String getDtm()

  Returns the value of the 'Dtm' attribute.

  If the meaning of the 'Dtm' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Dtm' attribute.
  See Also:
    `setDtm(String)`, `Hl7v2Package.getDocumentRoot_Dtm()`

### setDtm

    void setDtm(java.lang.String value)

  Sets the value of the '`Dtm`' attribute.

  Parameters:
    `value` - the new value of the 'Dtm' attribute.
  See Also:
    `getDtm()`

### getSourcePatientInfo

    SourcePatientInfoType getSourcePatientInfo()

  Returns the value of the 'Source Patient Info' containment reference.

  If the meaning of the 'Source Patient Info' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Patient Info' containment reference.
  See Also:
    `setSourcePatientInfo(SourcePatientInfoType)`, `Hl7v2Package.getDocumentRoot_SourcePatientInfo()`

### setSourcePatientInfo

    void setSourcePatientInfo(SourcePatientInfoType value)

  Sets the value of the '`Source Patient Info`' containment reference.

  Parameters:
    `value` - the new value of the 'Source Patient Info' containment reference.
  See Also:
    `getSourcePatientInfo()`

### getXad

    XAD getXad()

  Returns the value of the 'Xad' containment reference.

  If the meaning of the 'Xad' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xad' containment reference.
  See Also:
    `setXad(XAD)`, `Hl7v2Package.getDocumentRoot_Xad()`

### setXad

    void setXad(XAD value)

  Sets the value of the '`Xad`' containment reference.

  Parameters:
    `value` - the new value of the 'Xad' containment reference.
  See Also:
    `getXad()`

### getXcn

    XCN getXcn()

  Returns the value of the 'Xcn' containment reference.

  If the meaning of the 'Xcn' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xcn' containment reference.
  See Also:
    `setXcn(XCN)`, `Hl7v2Package.getDocumentRoot_Xcn()`

### setXcn

    void setXcn(XCN value)

  Sets the value of the '`Xcn`' containment reference.

  Parameters:
    `value` - the new value of the 'Xcn' containment reference.
  See Also:
    `getXcn()`

### getXon

    XON getXon()

  Returns the value of the 'Xon' containment reference.

  If the meaning of the 'Xon' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xon' containment reference.
  See Also:
    `setXon(XON)`, `Hl7v2Package.getDocumentRoot_Xon()`

### setXon

    void setXon(XON value)

  Sets the value of the '`Xon`' containment reference.

  Parameters:
    `value` - the new value of the 'Xon' containment reference.
  See Also:
    `getXon()`

### getXpn

    XPN getXpn()

  Returns the value of the 'Xpn' containment reference.

  If the meaning of the 'Xpn' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xpn' containment reference.
  See Also:
    `setXpn(XPN)`, `Hl7v2Package.getDocumentRoot_Xpn()`

### setXpn

    void setXpn(XPN value)

  Sets the value of the '`Xpn`' containment reference.

  Parameters:
    `value` - the new value of the 'Xpn' containment reference.
  See Also:
    `getXpn()`

### getXtn

    XTN getXtn()

  Returns the value of the 'Xtn' containment reference.

  If the meaning of the 'Xtn' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xtn' containment reference.
  See Also:
    `setXtn(XTN)`, `Hl7v2Package.getDocumentRoot_Xtn()`

### setXtn

    void setXtn(XTN value)

  Sets the value of the '`Xtn`' containment reference.

  Parameters:
    `value` - the new value of the 'Xtn' containment reference.
  See Also:
    `getXtn()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD